\input{body/detector/title}


The measurement presented in this thesis was performed using data collected by the \lhcb experiment during the year 2012. The Large Hadron Collider (\lhc) produced proton-proton collisions which were detected by \lhcb. 

This chapter provides an overview of the relevant aspects of the \lhc and \lhcb machines.
The Large Hadron Collider and \lhcb experiment are introduced in Sections~\ref{sec:det_LHC} and~\ref{sec:det_lhcb} respectively. The reconstruction of semileptonic \Bs decays using the \lhcb experiment is discussed in Section~\ref{sec:det_recoSL}. Tracking and calorimetry are presented in Sections~\ref{sec:det_tracking} and~\ref{sec:det_PID_calo} respectively. Finally the trigger and simulation are discussed in Sections~\ref{sec:det_Trigger} and~\ref{sec:det_MC} respectively.

\section{The Large Hadron Collider}% and Accelerator Chain}
\label{sec:det_LHC}

The \lhc is the world's largest and most powerful particle accelerator and collider with a circumference of 27 km. The \lhc straddles the French-Swiss border near Geneva at the European Organization for Nuclear Research (CERN). The \lhc accelerated protons to centre of mass energies of $\sqs=7\tev$, $\sqs=8\tev$ and $\sqs=13\tev$ during the years of 2011, 2012 and 2015-2018 respectively.

Protons for the \lhc are sourced from a bottle of hydrogen. The hydrogen atoms are ionised, and the protons accelerated through a series of linear and circular accelerators prior to injection into the \lhc at an energy of 450\gev. Figure~\ref{fig:det_accChain} shows the accelerator chain used to accelerate and inject protons and ions for the \lhc. Protons inside the \lhc are grouped into bunches with a maximum design capacity of 2808 bunches per beam, and each bunch containing $1.2\times 10^{11}$ protons. Eight radiofrequency, RF, cavities per beam accelerate protons to the desired energies. Dipole magnets bend the beam around the ring while quadrupole, sextupole and octopole magnets focus the beam~\cite{Rossi:630341}. Bunches are spaced $25/50\ns$ apart and are focused at the interaction points by the \lhc producing collisions at a rate of $40/20\mhz$\footnote{The effective collision frequency during 2012 was closer to 11\mhz due to gaps in the beam and bunch crossings with no visible collisions.}.


\begin{figure}[htbp]
	\centering
	\includegraphics[width=0.8\textwidth]{CERN-accelerator-complex.pdf}
	\caption[Diagram of the LHC accelerator chain.]{The accelerator chain used to provdie protons and ions for the \lhc is shown. Protons originate at LINAC 2 and ions originate at LINAC 3. Image taken from~\cite{Morris:2293045}.}
	\label{fig:det_accChain}
\end{figure}


\section{The \lhcb experiment}
\label{sec:det_lhcb}

The \lhcb experiment is dedicated to the study and precise measurement of \bquark and \cquark-physics. The experiment exploits the high production cross sections for \bbbar and \ccbar pairs, $\sigma(\proton\proton \to \bbbar X) = 72.0\pm0.3\pm6.8\mub$ for \bbbar within the acceptance of the \lhcb experiment at $\sqs=7\tev$~\cite{PhysRevLett.118.052002}, with $10^{12}$ \bbbar pairs produced during 2012. The \bbbar production cross section at \lhcb is five orders of magnitude larger than at \belle and \babar, $\sigma(\ep\en \to \FourS \to \bbbar ) = 1.2, 1.1 \nb$ respectively,~\cite{Abashian:2000cg,Aubert:2001tu} providing an ideal environment for high statistics measurements of standard model parameters.

The collisions at \babar and \belle produce a very clean environment due to the nature of the annihilation type collision and the collision centre of mass energy being tuned to the \FourS mass. A hadronic environment, as present at the LHC, produces an event with considerably more activity and in order to keep the detector occupancy at a manageable level beam optics limit the number of collisions per bunch crossing to approximately $1.5$, equivalent to a modest instantaneous luminosity of $\mathcal{L} \approx 2\times 10^{32} \mathrm{cm^{-2}~s^{-1}}$.

\begin{figure}[htbp]
	\centering
	\includegraphics[width=0.45\textwidth]{Feynman_pp_bb-crop.pdf}
	\includegraphics[width=0.45\textwidth]{nlo10.pdf}
	\caption[Feynman diagram of \bbbar production and NLO PDFs.]{A Feynman digram depicting \bbbar production via gluon-gluon fusion (left) and NLO PDFs at $\qsq=10\gevgevcccc$ (right). The fractional momentum of the proton is dominated by the gluon. Image taken from~\cite{Harland-Lang:2014zoa}.}
	\label{fig:PDFs}
\end{figure}

The dominant \bbbar production method at \lhcb is via gluon-gluon fusion where the incoming protons radiate gluons which fuse to produce a \bbbar pair. Gluons carry a large fraction of the proton's momentum, the fractions of which are plotted in Figure~\ref{fig:PDFs}. A difference in the momentum of the gluons is propagated to the \bbbar pair boosting the interaction with respect to the centre of mass frame of the \proton\proton collision. Consequently the \bbbar and \ccbar pairs are produced in the forward and backward regions of the detector.


The LHCb detector~\cite{Breskin:1244506,Alves:2008zz} is a single-arm forward spectrometer covering the pseudorapidity range $2 < \eta < 5$, designed for the study of particles containing \bquark or \cquark quarks, where
\begin{equation}
\eta = -\ln\left|\tan\frac{\theta}{2}\right|,
\label{eq:eta}
\end{equation}
and $\theta$ is the angle between the particle's momentum and the beam line. Despite covering just 1.8\% of the solid angle, 25\% of \bbbar pairs are produced within the detector acceptance. The full acceptance is $10 < \theta < 250 [300]\mrad$ in the horizontal bending [vertical non-bending] plane.  


\begin{figure}[htbp]
	\centering
	\includegraphics[width=0.95\textwidth]{LHCbSchematic.png}
	\caption{Schematic of the \lhcb experiment}
	\label{fig:det_lhcb}
\end{figure}


A schematic of the \lhcb detector is shown in Figure~\ref{fig:det_lhcb}. A right handed coordinate system is used with the origin centred at the interaction point; the positive $z$ axis points `downstream' towards the end of the detector, the positive $x$ axis points towards the centre of the \lhc and the positive $y$ axis points straight up. The downstream direction is defined to point from the collision point towards the muon stations.

The principal components of the detector can be divided into a few key categories, tracking, calorimetry and particle identification. A spectrometer dipole magnet bends charged particles in the horizontal plane allowing the charge and momentum of the particles to be determined from the direction and radius of the curvature.
The vertex locator, \velo, envelopes the collision point and accurately measures the location of tracks produced close to the interaction point. Additional downstream tracking is provided by the tracker turicensis, \ttracker, before the magnet and three tracking stations after the magnet consisting of inner and outer trackers, \intr and \ot respectively.

Charged hadronic particle identification is made possible by two ring imaging Cherenkov detectors, \richone before the magnet, and \richtwo after the magnet. the two \rich detectors contain gasses with different refractive indexes giving optimal performance at different momentum ranges. 

Calorimetry and additional particle identification are provided by the electromagnetic and hadronic calorimeters, \ecal and \hcal, a preshower and scintillating pad detector, \presh and \spd, and five muon stations, M1-5.


\section{Reconstructing Semileptonic Decays}
\label{sec:det_recoSL}


Consider the decay \BsToKMuNu, two protons collide at the interaction point, close to the centre of the \velo producing a \Bs meson and many prompt tracks. Prompt tracks are defined as originating from the point of collision. On average the \Bs meson flies a distance of 14\mm before decaying into a charged kaon, muon and invisible neutrino.
The charged particles leave hits in the \velo as they traverse the sub-detector,  and a reconstruction algorithm reconstructs the trajectories of the charged tracks from the hits. The point of the collision and production of the \Bs is precisely determined by performing a vertex fit on the tracks and is referred to as the primary vertex, PV, and the decay location of the \Bs, known as the secondary vertex, SV, is determined by performing a vertex fit on two oppositely charged particles with high kaon and muon likelihoods. As the PV is calculated using a larger number of tracks than the SV, the resolution on the PV is significantly better than the resolution on the SV.


%The \velo detects the prompt tracks and offline software is used to reconstruct the collision point with an uncertainty of $\sigma_{PV} \approx 120 [18]\mum$ in the $z$, $[x,y]$ direction. 

%The \Bs meson flies on average a distance of 14\mm (but sometimes over 50\mm) before decaying into a charged kaon, muon and invisible neutrino. The tracks for the kaon and muon are reconstructed using the \velo allowing the secondary vertex\footnote{The decay location of a flying particle is defined as the secondary vertex, SV.} to be reconstructed with a resolution of $\sigma_{SV} \approx 400 [26]\mum$ in the $z$ $[x,y]$ direction.

Moving along the beam axis in a downstream direction, the particles traverse the first ring imaging Cherenkov, \rich, detector and emit Cherenkov radiation. The light radiated by the particles is focused onto and recorded by hybrid photon detectors, HPDs.  A likelihood hypothesis for the particle types is calculated from the pattern of the radiation, thus allowing the kaon to be positively identified. 

The particles then cross the first tracking station, the Tracker Turicensis, \ttracker, followed by the dipole magnet and are bent in opposite directions. The particles then cross the inner tracker, \intr, and outer tracker, \ot.  Hits left in the tracking station before and the three tracking stations after the magnet allow the curvature of the charged tracks, and hence their momenta to be measured. 

If the particles are close to the beam pipe they will pass through the second \rich detector allowing a second measurement of the angle of the emitted photons. This will strengthen the particle identification likelihood hypothesis.
 Behind \richtwo the \Km\mup enter the calorimeter.  Hits are left in both the \spd and \presh indicating that the particles are charged and vetoing any possibility that the particles are photons or neutral pions. Both particles leave hits in the \ecal. The muon traverses the \hcal leaving a small signal while the kaon showers and is fully absorbed, positively identifying the kaon as a hadron. Finally the muon enters the muon station where it's location is accurately measured and is positively identified as muon. The large signals in the muon system are detected and passed on to the hardware trigger, \lone, which flags the event as interesting. Two software triggers, \hltone confirms the presence of a muon, and \hlttwo performs a full event reconstruction allowing the event to be saved permanently for offline analysis.




\section{Tracking}
\label{sec:det_tracking}

\subsection{Magnet}
\label{ssec:det_magnet}

A dipole magnet with an integrated field strength of $\int{B~dl} = 4~\mathrm{Tm}$ bends the paths of charged tracks allowing their charge and momenta to be determined with a resolution of $\delta p/p = 4\times10^{-3}$. The bending force, $\vec{F}$, for a particle with charge, $q$, moving with velocity, $v$, in a magnetic field, $B$ is:
\begin{equation}
\vec{F} = q \left( \vec{v} \times \vec{B}\right).
\end{equation}

In order to effectively determine the momentum of charged particles, the magnetic field must be as high as possible, however the vertex locator and Hybrid Photodetectors (HPD) of the \richone detector are sensitive to magnetic fields, and the field strength must be minimised outside the region of the magnet. Figure~\ref{fig:det_Magnet} plots the field strength of the magnet against the $z$ axis of the detector with the location of the trackers overlaid.

\begin{figure}[htbp]
	\centering
	\includegraphics[width=0.7\textwidth]{Magnet.pdf}
	\caption[Plot of the \lhcb magnetic field profile.]{A plot of the magnetic field profile is shown with a digram of the tracking systems and a characterisation of the different tracks types. Image taken from~\cite{Alves:2008zz}.}
	\label{fig:det_Magnet}
\end{figure}

The magnet is composed of two saddle shaped coils in a window frame yoke with sloping poles. Each magnet coil consists of fifteen pancakes arranged in five triplets and are made from pure Al-99.7 with a central channel for water cooling. The nominal current passing through the coils during operation is $5.85$~kA.


\subsection{VELO}
\label{ssec:det_velo}


The \lhcb vertex locator, \velo, is a silicon strip detector operating in a secondary vacuum around the primary \lhc vacuum. The \velo measures the location of the collision and decay vertex of beauty and charm hadrons from the hits left behind as charged particles traverse the detector. This information is used to accurately measure the decay times of hadrons and the impact parameters of long lived particles. Detached vertices make up a vital component of the trigger and are used to enrich the \bquark-hadron content of events saved to trigger. The beam width during injection is larger than the inner radius of the \velo requiring that the \velo be retracted during injection.

The \velo is required to meet several performance, geometric, environmental and machine criteria. In order to accurately measure the location of the production and decay vertices, the signal to noise ratio of the \velo should be grater than 14~\cite{Koppenburg:691699}, corresponding to $\approx$ 200 noise hits per event. 
A spacial cluster resolution of 4\mum is required for tracks with an angle of 100\mrad from the beam line. The final consideration is the spillover probability, the fraction of the signal remaining after 25\ns which is required to be less than 0.3.
From a geometric point of view, the \velo must cover the angular acceptance of the downstream detectors, $1.6 < \eta < 4.9$, and tracks emerging from primary vertices, $\left|z\right| < 10.6 \cm$, must traverse three \velo stations. The minimum distance between the innermost \velo sensors and the beam is 8\mm while the outer radius is greater than 4.2\cm and modules are spaced by 3.5\cm. In order to cover the full azimuthal angle the two detector halves overlap slightly. This range is achieved by offsetting one half of the detector by 1.5\cm in $z$.
The \velo is operated in an extreme radiation environment with the dose from one year of operation equivalent to a 1\mev neutron flux of $1.3\times10^{14} n_{eq}/cm^2$ in the innermost region. The \velo must be capable of operating in these conditions for the duration of data taking.
Given that the \velo must be positioned as close as possible to the beam and that the \velo functions optimally in a vacuum, the integration of the detector with the \lhc introduces several design constraints. To protect the \lhc from \velo out gassing, and the \velo from wakefield currents and beam halo effects, the \velo must be shielded from the \lhc by a metallic foil, the RF foil. The section of the \velo closest to the beam is exposed to beam induced bombardment and is protected from beam induced effects such as synchrotron radiation and secondary electrons. Variations in the closed-orbit of the \lhc and the thickness of the RF foil limit the minimum distance from the beam to 8\mm. During injection of the \lhc the beam width is considerably larger than the 8\mm inner radius requiring that the \velo be retracted 29 mm into the shadow of the \lhc beam. 


\begin{figure}[htbp]
	\centering
	\includegraphics[height=0.38\textwidth]{VELO_Schematic}\hfill
	\includegraphics[height=0.38\textwidth]{VELO_Sensor_Schematic}
	\caption[VELO and VELO sensor schematic.]{The cross section in the $x,z$ plane of the \velo sensors in the closed position, with the front face of the first modules shown open and closed (left). A sketch illustrating the $r-\phi$ geometry of the sensors is shown (right), showing only a few of the strips. The strips of two adjacent $\phi$ sensors are overlaid to demonstrate the stereo angle. Images taken from~\cite{Breskin:1244506}. }
	\label{fig:velo_schematic}
\end{figure}

The \velo is made up of a series of modules placed around the interaction point. The modules perform three functions, they hold the sensors in position, connect the electrical readouts to the to the sensors and enable cooling while in a vacuum. Each module holds two sensors, an R-sensor and a $\phi$-sensor. The R-sensor measures the radius of a charged track while the $\phi$-sensor measures the azimuthal angle. The silicon sensors use diode strip implants with a minimum strip separation (pitch) of 32\mum . The layout of the strips is illustrated in Figure~\ref{fig:velo_schematic}. For the R-sensors the strips form semi-circles divided into 45\degree regions (in order to reduce occupancy and capacitance), centred on the \lhc beam. The strip pitch increases from 38\mum at the point closest to the beam up to 101.6\mum at the point furthest from the beam. The $\phi$-sensors are divided into an inner and outer region, the strips in the inner region are skewed by 20\degree to the radial and the outer region begins at a radius of 17.25\mm and are skewed by 10\degree. There are approximately twice as many strips in the outer region than in the inner region. Adjacent modules have the skew reversed. The material budget of the \velo corresponds to 17.5\% of a radiation length with the RF-foil introducing the bulk of the material.



The performance of the \velo can be quantified by considering the resolution on the measured vertices and the impact parameter of tracks. The impact parameter, IP, is defined as the shortest distance between a point and a line, where in this example the point is the PV and the line is the particle trajectory. A similar variable exists defining the distance of closest approach between two  lines, DOCA, In this example the DOCA is the closest point between the particle trajectory and the beam line.
The resolution on the primary vertex is measured experimentally by randomly dividing the tracks from a vertex into two subsets and reconstructing the PV location for each subset. The resolution is found by subtracting one measurement from the other~\cite{Aaij:2014jba}. A minimum of five tracks are required to reconstruct a PV, and this method is capable of measuring the resolution on primary vertices containing up to 65 tracks. The PV uncertainty is strongly correlated to the number of tracks originating from the PV. The PV resolution, in $z$, is plotted against track multiplicity in Figure~\ref{fig:velo_resolution}.

Tracks originating from the decays of long lived \B or \D mesons typically have larger impact parameters than tracks originating from the primary vertex. The impact parameter is used extensively in \lhcb analyses to reduce pollution from prompt backgrounds making an understanding of its resolution essential. The resolution on the impact parameter is governed by three main factors: multiple scattering of particles due to the detector material, typically the RF-foil, the resolution on the hit location in the \velo and the distance between the PV and the first measured hit. The \velo was designed to minimise these factors.

%The IP is not a Gaussian distributed quantity. A Gaussian distributed quantity can be defined by projecting out two independent components; the components of the IP vector in the transverse plane, $IP_x$ and $IP_y$, where,

The resolution of the impact parameter is typically displayed for a component of IP vector in the plane transverse to its flight direction, $IP_x$ and $IP_y$, where,
\begin{equation}
	IP_x = x - x_{PV} - (z-z_{PV})t_x,
\end{equation}
and similarly for $y$, where $(x, y, z)$ is the position of the track at the closest point to the primary vertex, and $(t_x, t_y, 1)$ is the direction vector of the track. The component of the IP parallel to the flight direction, $IP_z$ is defind to be 0. The resolution on $IP_x$ is plotted against $1/\pt$ in Figure~\ref{fig:velo_resolution}. The linear dependence with $1/\pt$ is a consequence of multiple scattering.


\begin{figure}[htbp]
	\centering
	\includegraphics[width=0.45\textwidth]{ResZ_1PV_2011Data}
	\includegraphics[width=0.45\textwidth]{IPXRes-Vs-InversePT-Compare2012DataToMC}
	\caption[Primary vertex and impact parameter uncertainty.]{The uncertainty on the primary vertex in the $z$ direction is plotted against the number of tracks originating from the PV (left) and the uncertainty on the impact parameter in the $x$ direction is plotted against $1/\pt$ (right) using data collected in 2012. Images taken from~\cite{LHCbVELOGroup:2014uea}.}
	\label{fig:velo_resolution}
\end{figure}



\subsection{Silicon and Straw Trackers}
\label{ssec:det_si_st_track}

Tracking information is provided by the silicon tracker turicensis, \ttracker, located downstream of \richone and upstream of the magnet and the three additional tracking stations, T1-T3, immediately downstream of the magnet. The three tracking stations consist of a silicon inner tracker (\intr) with small acceptance close to the beam pipe and a straw tube outer tracker (\ot).


A primary goal of the \ttracker is to reconstruct tracks which originate outside the \velo, such as those originating from the decays of \KS and \Lz. While the \Bs only flies 14 mm and this decays inside the \velo, the \ttracker still provides vital tracking information. The \ttracker is made of four layers of silicon strip sensors with a pitch of 183\mum~\cite{Needham:961216}. The outer two layers are aligned vertically and the two inner sensors are rotated by $\pm5\degree$ from the vertical. Each layer of the \ttracker consists of 14 columns of silicon sensors, with adjacent modules staggered in $z$ and gaps in acceptance are avoided by overlapping sensors by a few\mm. 

The \intr is very similar to the \ttracker, it consists of four individual detector boxes arranged around the beam pipe in the highest occupancy part of the detector as shown in Figure~\ref{fig:STLayout}~\cite{Perrin:962061}.  

The Outer Tracker is a drift time detector~\cite{Barbosa-Marinho:519146} providing excellent momentum resolution and a high reconstruction efficiency over a large acceptance. The \ot holds an array of gas-tight straw tube modules, each containing two staggered layers of drift tubes with an internal diameter of 4.9\mm. A drift time below 50\ns is achieved by using a 70/30 mix of Argon and \cotwo gasses giving a drift resolution of 200\mum. Each station consists of four layers with the tubes in the outer tubes arranged vertically, and the inner tubes rotated by $\pm5\degree$. The tracker is made of narrow columns to provide the greatest resolution in the $y$, bending, direction allowing the curvature of the tracks to be precisely measured.


\begin{figure}[htbp]
	\centering
	\includegraphics[width=0.4\textwidth]{TT_u_layer.pdf}
	\includegraphics[width=0.59\textwidth]{IT_layer.pdf}
	\caption[Layout of the Tracker Turicensis.]{The layout of the third Tracker Turicensis layer (left) with different readout sections indicated by different shadings, and the layout of an $x$ detection layer of the second Inner Tracker station. Images taken from~\cite{Alves:2008zz}}
	\label{fig:STLayout}
\end{figure}



\section{Particle Identification and Calorimetry}
\label{sec:det_PID_calo}


\begin{table}[]
\centering
	\begin{tabular}{r||l|l|l|l|l|l}
	                      & Tracking & SPD & PS  & ECAL   & HCAL   & MUON \\ \hhline{=||=|=|=|=|=|=}
		\g                &          &     & Hit & Shower &        &      \\
		\piz              &          &     &     & Shower &        &      \\
		\piz\to\g\g       &          &     & Hit & Shower &        &      \\
		\neutron          &          &     &     &        & Shower &      \\
		\epm              & Hit      & Hit & Hit & Shower &        &      \\
		\mupm             & Hit      & Hit & Hit & Hit    & Hit    & Hit  \\
		\Kpm,\pipm,\proton& Hit      & Hit & Hit & Hit    & Shower &      \\
	\end{tabular}
	\caption[Detector signatures of various particle types.]{The signature in the detector left by different particle types are listed. Additional information provided by the two \rich detectors are used to separate the flavours of charged hadron.}
	\label{tab:PID_sig}
\end{table}


\subsection{RICH}
\label{ssec:det_rich}

Two ring-imaging Cherenkov detectors (\richone and \richtwo) provide particle identification for charged hadrons. The angle of emittance of Cherenkov radiation, $\theta_c$,  is related to the particle's mass, $m$, momentum, $p$, and the refractive index, $n$, of the material traversed by
\begin{equation}
	\cos \theta_c = \frac{\sqrt{m^2+p^2}}{np}.
\end{equation}
Curved mirrors project and focus the radiated Cherenkov light onto a matrix of hybrid photon detectors, HPD. The Cherenkov radiation forms a tight circle on the HPDs, and the angle of emittance is proportional to the radius of the circle. Figure~\ref{fig:RICH_Schem} visualises the arrangement of the two radiator materials, mirror shape and HPD locations for \richone.

\begin{figure}[htbp]
	\centering
	\includegraphics[width=0.5\textwidth]{RICH_Schem.png}
	\caption[Schematic of the \richone subdetector.]{A schematic layout of \richone illustrating the focussing of Cherenkov light originating from the aerogel, yellow, and \cfourften gas, blue. Image taken from ~\cite{LHCB:2000aa}.}
	\label{fig:RICH_Schem}
\end{figure}

In Figure~\ref{fig:RICH_Band} distributions of $\theta_c$ are plotted against the particle momentum for particles traversing \richone with radiator \cfourften. Clear bands are visible corresponding to muons, pions, kaons and protons. The starting position of the bands indicates the minimum momentum required in order for Cherenkov photons to be produced. 
In both \rich detectors the produced Cherenkov light is focused onto Hybrid Photon Detectors, HPDs, using a combination of spherical and flat mirrors. The HPDs are located outside the acceptance of the \lhcb detector and are capable of detecting Cherenkov photons in the wavelength range 200-600\nm. The HPDs are sensitive to magnetic fields and are shielded from the magnetic fields present in the detector by mu-metal cylinders which limit the magnetic field exposed to the HPDs to $50 \mathrm{mT}$.

\richone has an angular acceptance of $25\mrad < \theta < 300 \mrad$ covering the full acceptance of the detector and is located upstream of the magnet and uses \cfourften gas as the radiator with refractive index $n=1.0014$ giving effective separation power up to 40\gevc. Particle identification at momenta below these thresholds is enabled by a 50\mm layer of silica aerogel at the entrance of \richone with refractive index, $n=1.03$. The aerogel was removed from \richone during the first long shutdown as the degradation in particle quality was worse than the additional identification performance.
\richtwo uses \cffour gas as the radiator with refractive index $n=1.0005$ and provides effective identification in the momentum range $15\gevc < p < 100 \gevc$. High momentum particles are typically produced with a smaller production angle and as such the \richtwo detector only has an acceptance covering the range $15 \mrad < \theta < 100\mrad$.



\begin{figure}[htbp]
	\centering
	\includegraphics[width=0.8\textwidth]{RICH_Angle}
	\caption[Reconstructed Cherenkov angle plotted against momentum for \richone.]{The reconstructed Cherenkov angle, $\theta_c$, for isolated tracks is plotted against the particle momentum, $p$, for radiator \cfourften. Image taken from~\cite{Adinolfi:2012qfa}.}
	\label{fig:RICH_Band}
\end{figure}

\subsection{Calorimetry and the Muon system}
\label{ssec:det_Calo}

The calorimeters perform several crucial functions, they send low level information to the hardware trigger allowing the selection of high transverse energy, \et, hadron, electron and photon candidates, provide particle identification and measures the energies and positions of electrons, photons and hadrons. The muon system provides fast information to the triggers, particle identification and space-point information.

\lhcb uses a \textit{classical} calorimetry design with the electromagnetic calorimeter, \ecal, placed in front of the hadronic calorimeter, \hcal. 
A double detector is placed in front of the \ecal consisting of scintillating pad detector, \spd, a thin sheet of lead and a second pad detector called the preshower detector, \presh. The \spd and \presh determine the electromagnetic nature of particles and whether they're charged from the calorimeter clusters allowing the vast backgrounds from charged and neutral pions to be rejected~\cite{Olloqui:2009zz}. Neutral pions are identified as resolved if they decayed into two photons before the calorimeter or merged if they decay inside the calorimeter~\cite{Deschamps:2003lja}.

All the calorimeters follow the same principal. Wavelength shifting fibres transfer scintillation light to a photomultiplier, \pmt. The fibres from the \spd/\presh cells are read out using multianode photomultiplier tubes, \mapmt, and the fibres from the \hcal and \ecal are read out by individual phototubes. The \ecal has an energy resolution of $\sigma_E/E = 10\%/\sqrt{E [\gev]} \bigoplus 1\%$  and the \hcal has a resolution of $\sigma_E/E = (69\pm5)\%/\sqrt{E [\gev]} \bigoplus (9\pm2)\%$~\cite{Alves:2008zz}.

The muon system is composed of five stations, M1-M5, of rectangular shape with inner and outer acceptances of 20 (16) \mrad and 306 (258) in the bending (non-bending) plane respectively. A projective geometry is used for the muon stations, the dimensions scale with distance from the collision point. Muon station M1 is placed before the calorimeters and is used to improve the \pt measurements given to the trigger. Muon stations M2-M5 are placed downstream of the calorimeters and are separated by iron absorbers with a thickness of 80~cm and each station uses Multi-Wire Proportional Chambers (MWPCs) for detecting muons.

 The energy required for a muon to traverse the entire detector is approximately 6\gev and the total absorber thickness is approximately 20 interaction lengths. The muon stations M1-M3 have a high spatial resolution and are used to define the track direction and calculate the \pt of the candidate muon. The resolution on the measured \pt of a muon is approximately 20\% using information from the muon system only. Stations M4 and M5 have a coarser spatial resolution with their main purpose being the identification of penetrating particles. 

A binary, yes/no, decision known as $isMuon$ is made based on the track momenta and which stations a track leaves hits, see Table~\ref{tab:det_ismuon}. The muon identification method provides an excellent selection efficiency with $98.13\pm0.04 \%$ of muons being correctly identified and less than 1\% of hadrons being misidentified as muons~\cite{Archilli:2013npa}. 


\begin{table}[]
	\centering
	\begin{tabular}{c|l}
		Momentum                 &  Muon Stations         \\ \hline
		$3 \gevc < p < 6\gevc$   &  M2 \& M3              \\
		$6 \gevc < p < 10 \gevc$ &  M2 \& M3 \& (M$\|M5)$ \\
		$p > 10 \gevc$           &  M2 \& M3 \& M4 \&M5
	\end{tabular}
	\caption[Muon selection requirements.]{The requirements for a track to be classified as a muon are presented. The full requirements are dependant on the momentum of the candidate and which stations detect hits from the track.}
	\label{tab:det_ismuon}
\end{table}


\subsection{Particle Likelihood}
\label{ssec:det_likelihood}

A typical event can contain several hundred particles which traverse the two \rich detectors producing many overlapping rings in the detector making the reconstruction of Cherenkov rings a challenge. A likelihood hypothesis is created for each particle (\pipm, \Kpm, \mupm, \proton) by assuming the mass of the particle and combining information from the two \rich detectors, the calorimeters and the muon system. The unique signals left by different particle types in the sub detectors are summarised in Table~\ref{tab:PID_sig}.
When selecting the desired particle type, the logarithm of particle hypotheses are compared, i.e. when selecting kaons, the likelihood would be compared to the pion or proton, $\Delta\log\mathcal{L}(K-\pi/\proton)$. The kaon identification and misidentification rates are plotted in Figure~\ref{fig:det_KPIMisID} for the selections, $\Delta\log\mathcal{L}(K-\pi) > 0, 5$. Simulated Monte Carlo samples fail to accurately model the rates for a given PID selection, so a data driven approach is used to calculate the rates for different $\Delta\log\mathcal{L}$ selections using clean calibration samples of pions and kaons from {$\Dstar\to\pip(\Dz\to\Km\pip)$} decays and muons from {$\jpsi\to\mup\mun$} decays, where the particle identification, PID, selection is placed on the particle of interest.


\begin{figure}[htbp]
	\centering
	\includegraphics[width=0.8\textwidth]{kaonPionMisID.pdf}
	\caption[Kaon identification efficiencies and misidentification rates.]{Kaon identification efficiencies and \pipm\to\Kpm misidentification rates.~\cite{Adinolfi:2012qfa}}
	\label{fig:det_KPIMisID}
\end{figure}

\section{Trigger}
\label{sec:det_Trigger}

During nominal running conditions in 2012 the rate of visible\footnote{A bunch crossing is defined as visible if there are at least two reconstructible charged tracks passing through the \velo.} bunch crossings was approximately 11\mhz while the maximum sustainable readout was only approximately $5~\khz$. The expected \bquark\bquarkbar production rate at nominal operation is approximately $100\khz$, with 15\% of these events containing a \B hadron with all its decay products in the \lhcb acceptance. The branching fractions of \textit{interesting} \B meson decays is typically $10^{-3}$~\cite{Albrecht:2013fba}.


A triggering system reduces the event rate by selecting events that contain potentially interesting physics and enriches the number of events saved containing \bquark hadrons. A hardware trigger known as the Level-0 (\lone) trigger provides fast, $\mathcal{O}(\mu s)$, decision making and reduces the event rate to $\sim1\mhz$. Two software based triggers known as the high level triggers, \hltone and \hlttwo, further reduce the rate to 40\khz and 5\khz respectively. The \lone trigger runs synchronously with the 40\mhz bunch crossing frequency on custom made hardware while the \hlt runs asynchronously on a processor farm.


The \lone trigger takes as an input the highest \et hadron, electron and photon clusters in the calorimeters and the two highest \pt muons in the muon chambers. The calorimeters form  clusters by summing the energy of 2x2 cells, and identify the clusters with highest \et. Clusters are identified as \g, \piz, or hadrons using information from the calorimeters, \spd and \presh, see Table~\ref{tab:PID_sig}.  The muon chambers allow for reconstruction of the muon \pt with a resolution of 20\% and the two highest muons in each quadrant are selected. The \lone trigger thresholds are listed in Table~\ref{tab:L0trigsel}.



\begin{table}[]
\centering
	\begin{tabular}{l||l|l}
	Decision                    & \pt or \et threshold & \spd hits    \\\hhline{=||=|=}
	Single Muon	                & $>$1.76\gevc            & $<$600          \\
	Dimuon $\pt_1 \times \pt_2$ & $>$$(1.60\gevc)^2$      & $<$900          \\
	Hadron                      & $>$3.70\gev             & $<$600          \\
	Electron                    & $>$3.00\gev             & $<$600          \\
	Photon                      & $>$2.50\gev             & $<$600          \\ 
		
									
	\end{tabular}
	\caption{\lone trigger thresholds used during 2012~\cite{Cornat:691537}.}
	\label{tab:L0trigsel}
\end{table}




The \hlt consists of a \CC~application which runs on the event filter farm which contains 2000 computing nodes and makes use of the full event data to confirm the decisions made by the \lone trigger and provide further separation between signal and background. As the \hlt has access to the full event information and is software defined one could implement the non-trivial offline selection algorithms, e.g. machine learning, using the trigger.
The purpose of \hltone is to reconstruct particles using information from the \velo and tracking stations and confirm the decision of the \lone trigger. The \hlttwo performs a full pattern recognition and track reconstruction on the remaining events and runs a series of inclusive and exclusive trigger algorithms where the \B is partially or fully  reconstructed. The final trigger is the logical OR of all exclusive and inclusive triggers~\cite{Williams:1323557}.



The total selection efficiency, $\varepsilon_{tot}$, is the combination of the trigger efficiency, $\varepsilon_{trig}$, reconstruction and selection,  $\varepsilon_{sel}$, and efficiency for candidates to be in the detector acceptance, $\varepsilon_{acc}$,
\begin{equation}
	\varepsilon_{tot} = \varepsilon_{trig} \cdot \varepsilon_{sel} \cdot \varepsilon_{acc}.
\end{equation}

The selection and acceptance efficiencies can be determined from simulation, and the trigger efficiency can be determined according to,
\begin{equation}
	\varepsilon_{trig} = \frac{N_{trig|sel}}{N_{sel}},
\end{equation}

where $N_{trig|sel}$ are the number of events passing the selection and trigger and $N_{sel}$ are the number of events passing the selection only with the absence of a trigger requirement.
In Monte Carlo the number of events passing the selection in the absence of a trigger is known, however in data this cannot be known as only events which pass the trigger can be studied.


The TISTOS method~\cite{Tolk:1701134} is used to determine the trigger efficiency from data. A candidate is labelled as TOS (Trigger On Signal) if the event was triggered using tracks from the candidate \B hadron. A candidate is labelled as TIS (Trigger Independent Of Signal) if the tracks causing the event to trigger are independent of the signal candidate. The trigger efficiency can be rewritten as
\begin{equation}
	\begin{split}
		\varepsilon_{trig|sel} &= \frac{N_{trig|sel}}{N_{TIS|sel}}\times \frac{N_{TIS|sel}}{N_{sel}}\\
        	                   &= \frac{N_{trig|sel}}{N_{TIS|sel}}\times \varepsilon_{TIS}
   	\end{split}
\end{equation}

where $N_{TIS|sel}$  is the number of events passing the TIS trigger and the full selection, and the efficiency of the TIS trigger, $\varepsilon_{TIS}$, on signal candidates which can be approximated using the number of events which pass the TOS trigger, $N_{TOS}$, and both TIS and TOS triggers, $N_{TIS\&TOS}$,
\begin{equation}
	\varepsilon_{TIS} \approx \varepsilon_{TISTOS} \equiv \frac{N_{TIS\&TOS}}{N_{TOS}}.
\end{equation}
This assumes that the TIS and TISTOS triggers are uncorrelated. This assumption is shown to be valid in Reference~\cite{Tolk:1701134}

\section{Simulation}
\label{sec:det_MC}

Simulated events are used to model signal decays of \bquark hadrons as well as various backgrounds. The simulation is divided into three packages, each of which uses additional third party libraries. The Gauss~\cite{LHCb-PROC-2010-056,LHCb-PROC-2011-006} package simulates the \pp collisions, hadronisation, decay and passage of particles through the detector. The Boole~\cite{corti:913834} package simulates the detector response and provides data in the same format as the \lhcb readout electronics and the Moore~\cite{corti:913834} package provides a full simulation of the trigger.


The Gauss package uses Pythia 6.4~\cite{Sjostrand:2006za} and 8.1~\cite{Sjostrand:2007gs} to simulate $\pp\to\bquark\bquarkbar X$ interactions. After the \bquark\bquarkbar pair have been produced they are repeatedly hadronised until the desired \B hadron is created. The EvtGen~\cite{Lange:2001uf} package simulates the decay of the \B hadron and the PHOTOS~\cite{Golonka:2005pn} package models final state electromagnetic radiation. EvtGen was initially developed by the \babar collaboration, and modified by \lhcb to simulate \B meson production with proton collisions. The GEANT4~\cite{Agostinelli:2002hh,Allison:2006ve} package is used to simulate interactions between particles and the \lhcb detector.



